{{- if .Values.enabled -}}
{{- if .Values.tests.connectivity.enabled -}}
---
apiVersion: v1
kind: Pod
metadata:
  name: "{{ include "ska-pst-smrb.fullname" . }}-test-connection"
  labels:
    bdd-test: ska-pst-smrb
    {{- include "ska-pst-smrb.labels" . | nindent 4 }}
  annotations:
    "helm.sh/hook": test
spec:
  containers:
    - name: nc
      image: busybox
      command: ['nslookup']
      args:
       - '{{ include "ska-pst-smrb.fullname" . }}'
  {{- with .Values.nodeSelector }}
  nodeSelector:
    {{- toYaml . | nindent 8 }}
  {{- end }}
  {{- with .Values.tolerations }}
  tolerations:
    {{- toYaml . | nindent 8 }}
  {{- end }}
  restartPolicy: Never
{{- end }}
{{- end }}